# class Sprockets::Rails::Helper::AssetNotPrecompiled

### Public Class Methods

new(source) click to toggle source
Calls superclass method

    # File lib/sprockets/rails/helper.rb, line 13
    def initialize(source)
      msg =
      if using_sprockets4?
        "Asset `#{ source }` was not declared to be precompiled in production.\n" +
        "Declare links to your assets in `app/assets/config/manifest.js`.\n\n" +
        "  //= link #{ source }\n" +
        "and restart your server"
      else
        "Asset was not declared to be precompiled in production.\n" +
        "Add `Rails.application.config.assets.precompile += " +
        "%w( #{source} )` to `config/initializers/assets.rb` and " +
        "restart your server"
      end
      super(msg)
    end